<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title></title>
  </head>
  <body>
    <form id="sqlform" action="assignment1.php" method="post">
      <input type="text" name="dbnamefield" value="">
      <input type="button" onclick="changeClicked(this.id)" id="createdb" value="create">
      <input type="button" onclick="changeClicked(this.id)" id="deletedb" value="delete"><br><br>
      <textarea name="querystr" rows="8" cols="80" placeholder="sql query"></textarea>

      <input type="button" onclick="changeClicked(this.id)" id="executeq" value="execute">
      <input type="button" onclick="changeClicked(this.id)" id="cStudentT" value="create student table">
      <input type="button" onclick="changeClicked(this.id)" id="sStudentT" value="select student table">
      <input type="button" onclick="changeClicked(this.id)" id="dStudentT" value="delete student table">

      <input id="hiddenval" type="hidden" name="clicked" value="">
    </form>

    <?php
    $servername = "localhost";
    $username = "MYSQL USER NAME";
    $password = "MYSQL password";

    // Create connection


    if (isset($_POST["clicked"])) {
      $db = $_POST['dbnamefield'];
      switch ($_POST["clicked"]) {
        case 'createdb':
          // code...
          if (isset($_POST['dbnamefield'])) {
            // code...
            $conn = mysqli_connect($servername, $username, $password);
            $querydb = "create database ".$db;
            if(mysqli_query($conn,$querydb)) {
              echo "created db ".$db;
            } else echo "failed to create db ".$db.". Maybe it already exists";
          }
          mysqli_close($conn);
          break;
        case 'deletedb':
          // code...
          if (isset($_POST['dbnamefield'])) {
            // code...
            $conn = mysqli_connect($servername, $username, $password);
            $querydb = "drop database ".$db;
            if(mysqli_query($conn,$querydb)) {
              echo "deleted db ".$db;
            } else echo "failed to delete db ".$db.". Maybe it does not exists";
          }
          mysqli_close($conn);
          break;
        case 'executeq':
          // code...
          if (isset($_POST['dbnamefield'])) {
            $conndb = mysqli_connect($servername, $username, $password,$db);
            if (isset($_POST['querystr']))
              if(mysqli_query($conndb,$_POST['querystr'])) {
                echo "executed";
              } else echo "check query\n".$_POST['querystr'];
          }
          mysqli_close($conndb);
          break;
        case 'cStudentT':
          // code...
          $sql="create table Student( student_id INT AUTO_INCREMENT PRIMARY KEY, name VARCHAR(255), email VARCHAR(50), branch VARCHAR(50), fathername VARCHAR(50), gender CHAR(10), age INT, DOB Date, created_at DATETIME, updated_at DATETIME)";
          if (isset($_POST['dbnamefield'])) {
            $conndb = mysqli_connect($servername, $username, $password,$db);
            if(mysqli_query($conndb,$sql)) {
              echo "executed";
            } else echo "check query\n".$sql;
          }
          mysqli_close($conndb);
          break;
        case 'sStudentT':
          // code...
          $sql="select * from table Student";
          if (isset($_POST['dbnamefield'])) {
            $conndb = mysqli_connect($servername, $username, $password,$db);
            try {
              echo mysqli_query($conndb,$sql);
              echo "executed";
            } catch (\Exception $e) {
              echo "check query\n".$sql;
            }
          }
          mysqli_close($conndb);
          break;
        case 'dStudentT':
          // code...
          $sql="drop table Student";
          if (isset($_POST['dbnamefield'])) {
            $conndb = mysqli_connect($servername, $username, $password,$db);
              if(mysqli_query($conndb,$sql)) {
                echo "executed";
              } else echo "check query\n".$sql;
          }
          mysqli_close($conndb);
          break;

        default:
          // code...
          break;
      }
    }
    ?>

    <script>
      function changeClicked(clickedid) {
        document.getElementById('hiddenval').value= clickedid;
        document.getElementById('sqlform').submit();
      }
    </script>
    <!-- JS; -->
  </body>
</html>
